<?php
/*
##################################################################################################################################
# Version 0.4
# 
# Do NOT remove this header.
# 
# Copyright (C) 2010 Jermuk aka Dnarmaster
# This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the 
# Free Software Foundation; either version 3 of the License, or (at your option) any later version. This program is distributed in the hope that it will be useful, 
# but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
# See the GNU General Public License for more details. You should have received a copy of the GNU General Public License along with this program; 
# if not, see <http://www.gnu.org/licenses/>.
##################################################################################################################################
*/

//---Configuration---
$ip = "83.133.122.49";
$port = "36960";
$timeout = "2";
$maxplayer = "32";

$RCON = 1; //If you want to enable RCON
$password = "123";
$command = "sv_fow 1";
//---Configuration End---

//---Dont Change, if you don't now, what you do---
$stat = "Online";
$fp = fsockopen("udp://".$ip, $port, $errno, $errstr, $timeout);
if (!$fp) 
{
	$stat = "Offline";
}
else
{
	fwrite($fp,"\x01\x00\x03\x51\x9f\xfb\x01\x75\x00");       //Serverinfo
	$output = fread($fp, 256);                                           //Read answer
	$output = substr($output,5);                                       //We dont need the first 5 characters

   	$namelength = ord(substr($output,0,1));                      //The character before the name is how much bytes the name have. But this is in ASCII and we must put it into INT
   	$name = substr($output, 1, $namelength);                  //Cut off the first character (we dont need it) and cut of all things, wich are after $namelength
	
	$map = substr($output, $namelength+1);                    //We dont need the map name anymore and cut it off
   	$maplength = ord(substr($map,0,1));                          //Put the first character into int...
   	$map = substr($map, 1, $maplength);                        //... and cut off all things, wich are after $maplength

   	fwrite($fp,"\x01\x00\xFB\x05");                                  //Send Playerlist request
   	$output2 = fread($fp, 256);                                        //Read playerlist
   	$output2 = substr($output2,4);                                  //Cut off first 4 characters
   	$player = ord(substr($output2,0,1));                           //Get how much players are online and put it into INT

	$cmd = "\x01\x00\xF2".chr(strlen($password)).$password.chr(strlen($command))."\x00".$command; 
	fwrite($fp,$cmd);                                                      //Send Command with password
	$output = fread($fp, 2048);                                       //Read answer
	$output = substr($output,3);                                     // Cut off the first 4 character
	if (substr($output, 0, 1) == "\x01")		       //If the password is wrong, the string begins with \x03
	{
		$answer = "Wrong Password!";
	}
	elseif (substr($output, 1, 1) == "\x03")
	{
		$answer = substr($output, 2);                              //else cut this "status" byte off
		$answerlength = ord(substr($answer, 0, 1));            //Get length of answer (First byte)
		$answer = substr($answer, 2, $answerlength);        // Cut all of, wich is after $answerlength
	}
	
	$mappic = "/images/maps/".$map.".png";


   	echo "Servername: ";
   	echo $name;
   	echo "<br>";
   	echo "Mapname: ";
   	echo $map;
   	echo "<br>";
   	echo "Player: ";
   	echo $player;
   	echo "/$maxplayer";
	echo "<br>";
	echo "Server is ";
	echo $stat;
	echo "<br>";
	//Display map now
	echo '<img src="';
	echo $mappic;
	echo '" alt="error" />';

	echo "<br><br><br>RCON Command(\"$command\") was sent.<br>Answer: $answer";
   
}
fclose($fp);

/*---Now you have following variables---
$name (Name of the Server)
$map (Mapname)
$player (How many players are online)
$answer (Answer from server)
*/


?> 